- job:
    name: ci-dockerslaves-cleanup
    project-type: matrix
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-discover
            everyone-flat:
                - job-read
                - job-extended-read
        - build-discarder:
            days-to-keep: 20
            num-to-keep: 50
        - build-blocker:
            use-build-blocker: true
            blocking-jobs:
              - "ci-docker.*"
            block-level: 'NODE'
            queue-scanning: 'ALL'
    disabled: false
    node: master
    concurrent: false
    display-name: 'CI docker cleanup and image update'
    triggers:
        - timed : '20 20 * * *'
    axes:
        - axis:
            type: slave
            name: nodes
            values:
                - x86_64-13
                - x86_64-14
                - x86_64-15
                - x86_64-16
    execution-strategy:
        sequential: false
    wrappers:
        - timestamps
        - timeout:
            timeout: 300
    builders:
        - shell:
            !include-raw: ci-dockerfiles-deployment/cleanup-update.sh
    publishers:
        - email:
            recipients: linaro-infrastructure-errors@lists.linaro.org
